# 领取步骤奖励

客户端接口。从累充奖励链中领取当前用户的阶段奖励。


  注：
    此API调用使用用户JWT进行授权。
    请在Authorization请求头中按以下格式传入令牌：Bearer &lt;user_JWT&gt;。关于用户JWT的更多信息，请参阅此调用的安全性部分。

Endpoint: POST /v2/project/{project_id}/user/reward_chain/{reward_chain_id}/step/{step_id}/claim
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `reward_chain_id` (integer, required)
    累充奖励链ID。
    Example: 101

  - `step_id` (integer, required)
    奖励链步骤ID。
    Example: 120

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 9911

  - `errorMessage` (string)
    Example: "[0401-9911]: Reward chain step not found."

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 9912

  - `errorMessage` (string)
    Example: "[0401-9912]: Can't claim the step reward."


## Response 204 fields
